#!/bin/sh
# author : bachir soussi chiadmi
# date : 10/06/2016

_cwd="$(pwd)"


# candy
echo 'ILoveCandy (pacman)'
sudo sed -i.back 's/.*\[options\].*/&\nILoveCandy/' /etc/pacman.conf
sudo sed -i.back 's/^#Color$/Color/' /etc/pacman.conf
sudo sed -i.back 's/^#TotalDownload$/TotalDownload/' /etc/pacman.conf


sudo pacman -Syyu
sudo pacman -S --needed --noconfirm vim rsync wget tmux


# vim
echo 'vim configuration'
sudo pacman -S --needed --noconfirm vim-{spell-fr,spell-en,nerdtree,supertab,systemd}
cp $_cwp/assets/vim /home/$USER/.vim
cp $_cwd/assets/vimrc /home/$USER/.vimrc
sudo cp $_cwd/assets/vim /root/.vim
sudo cp $_cwd/assets/vimrc /root/.vimrc

# git
echo 'Git Completion'
sudo pacman -S --needed --noconfirm bash-completion
sudo mkdir /etc/bash_completion.d
sudo wget -O /etc/bash_completion.d/git-completion.bash https://raw.githubusercontent.com/git/git/master/contrib/completion/git-completion.bash

# yaourt
sudo pacman -S --needed base-devel
mkdir -p /home/$USER/build-repos
wget -O /home/$USER/build-repos/package-query.tar.gz https://aur.archlinux.org/cgit/aur.git/snapshot/package-query.tar.gz
wget -O /home/$USER/build-repos/yaourt.tar.gz https://aur.archlinux.org/cgit/aur.git/snapshot/yaourt.tar.gz
cd /home/$USER/build-repos
tar -xvf package-query.tar.gz
tar -xvf yaourt.tar.gz
cd package-query
makepkg -sri
cd ../yaourt
makepkg -sri
echo "EDITFILES=1" >> ~/.yaourtrc
echo "Yaourt install complete!"

# bash & prompt
echo 'Bash and Prompt (liquidprompt)'
git clone https://github.com/nojhan/liquidprompt.git -o github /home/$USER/.liquidprompt
cp $_cwd/assets/bash_profile /home/$USER/.bash_profile
cp $_cwd/assets/bashrc /home/$USER/.bashrc
mkdir /home/$USER/.config
cp $_cwd/assets/config/liquipromptrc /home/$USER/.config/
# sudo pacman -S --needed --noconfirm bash-completion
source /home/$USER/.bashrc

# hostname
sudo hostnamectl set-hostname hehe-rail-rover
sudo sed -i 's/^127\.0\.0\.1\blocalhost\.localdomain\blocalhost/&\thehe-rail-rover/' /etc/hosts
sudo sed -i 's/^::1\blocalhost\.localdomain\blocalhost/&\thehe-rail-rover/' /etc/hosts

# avahi
echo "install avahi"
sudo pacman -S --needed --noconfirm avahi nss-mdns
echo "configure avahi"
sudo systemctl enable avahi-daemon
sudo systemctl start avahi-deamon
sudo sed -i.back 's/hosts: files dns myhostname/hosts: files mdns_minimal [NOTFOUND=return] dns myhostname/' /etc/nsswitch.conf

# Camera
echo "Camera Module"
sudo sed -i.back 's/gpu_mem=.*$/gpu_mem=128\nstart_file=start_x.elf\nfixup_file=fixup_x.dat/' /etc/pacman.conf


# gps cli
sudo sed -i 's/console=ttyAMA0,115200//' /boot/cmdline.txt
sudo sed -i 's/kgdboc=ttyAMA0,115200//' /boot/cmdline.txt
sudo systemctl disable serial-getty@ttyAMA0.service
sudo pacman -S --needed --noconfirm minicom gpsd
#sudo systemctl stop gpsd.socket
#sudo systemctl disable gpsd.socket
sudo gpsd /dev/ttyAMA0 -F /var/run/gpsd.sock


# gps python
